/****************************************************************************
** GMAF - The Geometry Modeling Algorithms Framework
**
** Created : 03282000
**
** Copyright (C) 2000 by Le-Jeng Shiue.  All rights reserved.
**
****************************************************************************/
#ifndef cgalVertexBase_H
#define cgalVertexBase_H

#include <CGAL/basic.h>
#include <CGAL/Halfedge_data_structure_bases.h>

// A vertex with index.
template <class Pt>
class cgalVertexBase : public CGAL::Vertex_max_base<Pt> {
public:
  cgalVertexBase() : CGAL::Vertex_max_base<Pt>() {mIdx = -1;}
  cgalVertexBase(const Pt& p) : CGAL::Vertex_max_base<Pt>(p) {mIdx = -1;}  
  int getIdx() { return mIdx; }
  int setIdx(int idx) { mIdx = idx; } 
  
protected:
  int mIdx;
};

#endif cgalVertexBase_H
